import Vue from 'vue'
import VueRouter from 'vue-router'

Vue.use(VueRouter)

const routes = [{
  path: '/',
  name: 'login',
  component: () => import('../views/login.vue'),
  meta: {
    title: "登录",
    requireAuth: true // 标识该路由是否需要登录
  }
},{
  path: '/login',
  name: 'login',
  meta: {
    title: '登录'
  },
  component: () => import('../views/login.vue')
},{
  path: '/smt',
  name: 'smt',
  component: () => import('../views/smt/index.vue'),
  meta: {
    title: "SMT",
    requireAuth: true // 标识该路由是否需要登录
  }
},{
  path: '/assembly',
  name: 'assembly',
  component: () => import('../views/assembly/index.vue'),
  meta: {
    title: "ASSEMBLY",
    requireAuth: true // 标识该路由是否需要登录
  }
},{
  path: '/hj',
  name: 'hj',
  component: () => import('../views/hj/index.vue'),
  meta: {
    title: "HJ",
    requireAuth: true // 标识该路由是否需要登录
  }
},{
  path: '/total',
  name: 'total',
  component: () => import('../views/total/index.vue'),
  meta: {
    title: "TOTAL",
    requireAuth: true // 标识该路由是否需要登录
  }
}]
const router = new VueRouter({
  routes
})

export default router